Subject: bug#5080: indic text is not displayed correctly in emacs shell

From: Praveen A <[email-masked]>
Date: Thu, 3 Dec 2009 17:37:18 +0530

2009/12/3 Kenichi Handa <[email-masked]>:
> In article <[email-masked]>, Praveen A <[email-masked]> writes:
>> Thanks. I will request fedora and debian emacs maintainers to include this.
>
> That's good, thank you.

The request is filed.

> No, no, you must specify "Rachana" (if it is the font family
> name) in place of "FONT_FAMILY_NAME" as this:
>
> (set-fontset-font t 'malayalam '("rachana" . "unicode-bmp"))
>
> I installed rachana font and confirmed that the above code
> worked.

Thanks. It works for me now. But how to make it default? Where does
emacs take this information from ?

I have my fontconfig preferences to prefer Meera, but emacs does not
respect that and takes Lohit Malayalam instead.

So from emacs point of view issue (3) is resolved. I have filed
another bug for issue (2). Issue (4) still needs attention.

(4a) Why is it taking Lohit Malayalam by default
(4b) Why is the display cluttered/overlapped with some fonts like Meera

(1a) now with your patch, emacs handles ZWJ
(1b) There is a problem with Lohit Malayalam, I had a discussion with
Lohit developer (Pravin Satpute) and he says it is an issue with
m17n/redering engine.

Meera and Rachana uses substitution for complex glyphs, but Lohit uses
some fatures of OpenType specification and which needs to be
implemented in rendering engine used by emacs.

Thanks
Praveen
-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
<GPLv2> I know my rights; I want my phone call!
<DRM> What use is a phone call, if you are unable to speak?
(as seen on /.)
Join The DRM Elimination Crew Now!
http://fci.wikia.com/wiki/Anti-DRM-Campaign